GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
gdcm::network::PDUFactory Class Reference

PDUFactory basically, given an initial byte, construct the appropriate PDU. This way, the event loop doesn't have to know about all the different PDU types. More...

`#include <gdcmPDUFactory.h>`

List of all members.

## Static Public Member Functions

static BasePDU * | ConstructAbortPDU ()
static BasePDU * | ConstructPDU (uint8_t itemtype)
static BasePDU * | ConstructReleasePDU ()
static std::vector< BasePDU * > | CreateCEchoPDU (const ULConnection &inConnection)
static std::vector< BasePDU * > | CreateCFindPDU (const ULConnection &inConnection, const BaseRootQuery *inRootQuery)
static std::vector< BasePDU * > | CreateCMovePDU (const ULConnection &inConnection, const BaseRootQuery *inRootQuery)
static std::vector< BasePDU * > | CreateCStoreRQPDU (const ULConnection &inConnection, const File &file)
static std::vector< BasePDU * > | CreateCStoreRSPPDU (const DataSet *inDataSet, const BasePDU *inPC)
static EEventID | DetermineEventByPDU (const BasePDU *inPDU)
static std::vector < PresentationDataValue > | GetPDVs (const std::vector< BasePDU * > &inDataPDUs)

## Detailed Description

PDUFactory basically, given an initial byte, construct the appropriate PDU. This way, the event loop doesn't have to know about all the different PDU types.

## Member Function Documentation

static BasePDU* gdcm::network::PDUFactory::ConstructAbortPDU | ( |  | ) | `[static]`

static BasePDU* gdcm::network::PDUFactory::ConstructPDU | ( | uint8_t | itemtype | ) | `[static]`

static BasePDU* gdcm::network::PDUFactory::ConstructReleasePDU | ( |  | ) | `[static]`

static std::vector<BasePDU*> gdcm::network::PDUFactory::CreateCEchoPDU | ( | const ULConnection & | inConnection | ) | `[static]`

static std::vector<BasePDU*> gdcm::network::PDUFactory::CreateCFindPDU | ( | const ULConnection & | inConnection,
|  | const BaseRootQuery * | inRootQuery
| ) |  | `[static]`

static std::vector<BasePDU*> gdcm::network::PDUFactory::CreateCMovePDU | ( | const ULConnection & | inConnection,
|  | const BaseRootQuery * | inRootQuery
| ) |  | `[static]`

static std::vector<BasePDU*> gdcm::network::PDUFactory::CreateCStoreRQPDU | ( | const ULConnection & | inConnection,
|  | const File & | file
| ) |  | `[static]`

static std::vector<BasePDU*> gdcm::network::PDUFactory::CreateCStoreRSPPDU | ( | const DataSet * | inDataSet,
|  | const BasePDU * | inPC
| ) |  | `[static]`

static EEventID gdcm::network::PDUFactory::DetermineEventByPDU | ( | const BasePDU * | inPDU | ) | `[static]`

static std::vector<PresentationDataValue> gdcm::network::PDUFactory::GetPDVs | ( | const std::vector< BasePDU * > & | inDataPDUs | ) | `[static]`

The documentation for this class was generated from the following file:

- gdcmPDUFactory.h